## Push Message `client.Queues.Messages.Push(ctx, queueID, params) (*MessagePushResponse, error)` **post** `/accounts/{account_id}/queues/{queue_id}/messages` Push a message to a Queue ### Parameters - `queueID string` A Resource identifier. - `params MessagePushParams` - `AccountID param.Field[string]` Path param: A Resource identifier. - `Body param.Field[string]` Body param - `ContentType param.Field[MessagePushParamsMqQueueMessageTextContentType]` Body param - `const MessagePushParamsMqQueueMessageTextContentTypeText MessagePushParamsMqQueueMessageTextContentType = "text"` - `DelaySeconds param.Field[float64]` Body param: The number of seconds to wait for attempting to deliver this message to consumers ### Returns - `type MessagePushResponse struct{…}` - `Errors []ResponseInfo` - `Code int64` - `Message string` - `DocumentationURL string` - `Source ResponseInfoSource` - `Pointer string` - `Messages []string` - `Success MessagePushResponseSuccess` Indicates if the API call was successful or not. - `const MessagePushResponseSuccessTrue MessagePushResponseSuccess = true` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/queues" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Queues.Messages.Push( context.TODO(), "023e105f4ecef8ad9ca31a8372d0c353", queues.MessagePushParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Errors) } ``` #### Response ```json { "errors": [ { "code": 7003, "message": "No route for the URI", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "success": true } ```